For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCancel EOR Contract
      • PATCHDelay EOR employee onboarding
      • GETFetch EOR Contract form
      • GETFetch Start Date for EOR Contracts
      • GETGet EOR Additional Costs
      • GETRetrieve Benefits by Country
      • GETRetrieve detailed hiring guide for a country
      • POSTSign EOR contract document
      • PATCHUpdate Employee Information for EOR Contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Hiring

Cancel EOR Contract

POST
/eor/contract/:oid/cancel
POST
/rest/v2/eor/contract/:oid/cancel
$curl -X POST https://api.letsdeel.com/rest/v2/eor/contract/oid/cancel \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "cancellation_reason": "UNSATISFACTORY_EXPERIENCE"
> }
>}'
1{}

Cancels the EOR contract identified by oid. The contract must be in an active or pending state to be eligible for cancellation. Token scopes: contracts:write

Was this page helpful?
Previous

Delay EOR employee onboarding

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

oidstringRequired
Contract oid

Request

Cancel EOR Contract
dataobjectRequired

Response

Contract cancelled successfully

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication